# ApplicationFramework
TKCDF
CDM

# CDM_MetaData Class Reference

`#include <CDM_MetaData.hxx>`

## Public Member Functions

Standard_EXPORT Standard_Boolean | IsRetrieved () const
Standard_EXPORT Handle_CDM_Document | Document () const
Standard_EXPORT TCollection_ExtendedString | Folder () const
| returns the folder in which the meta-data has to be created or has to be found.
Standard_EXPORT TCollection_ExtendedString | Name () const
| returns the name under which the meta-data has to be created or has to be found.
Standard_EXPORT TCollection_ExtendedString | Version () const
| returns the version under which the meta-data has to be found. Warning: raises NoSuchObject from Standard if no Version has been defined
Standard_EXPORT Standard_Boolean | HasVersion () const
| indicates that the version has to be taken into account when searching the corresponding meta-data.
Standard_EXPORT TCollection_ExtendedString | FileName () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
Standard_OStream & | operator<< (Standard_OStream &anOStream)
Standard_EXPORT TCollection_ExtendedString | Path () const
Standard_EXPORT void | UnsetDocument ()
Standard_EXPORT Standard_Boolean | IsReadOnly () const
Standard_EXPORT void | SetIsReadOnly ()
Standard_EXPORT void | UnsetIsReadOnly ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_CDM_MetaData | LookUp (const TCollection_ExtendedString &aFolder, const TCollection_ExtendedString &aName, const TCollection_ExtendedString &aPath, const TCollection_ExtendedString &aFileName, const Standard_Boolean ReadOnly)
static Standard_EXPORT Handle_CDM_MetaData | LookUp (const TCollection_ExtendedString &aFolder, const TCollection_ExtendedString &aName, const TCollection_ExtendedString &aPath, const TCollection_ExtendedString &aVersion, const TCollection_ExtendedString &aFileName, const Standard_Boolean ReadOnly)

## Private Member Functions

Standard_EXPORT | CDM_MetaData (const TCollection_ExtendedString &aFolder, const TCollection_ExtendedString &aName, const TCollection_ExtendedString &aPath, const TCollection_ExtendedString &aFileName, const Standard_Boolean ReadOnly)
Standard_EXPORT | CDM_MetaData (const TCollection_ExtendedString &aFolder, const TCollection_ExtendedString &aName, const TCollection_ExtendedString &aPath, const TCollection_ExtendedString &aVersion, const TCollection_ExtendedString &aFileName, const Standard_Boolean ReadOnly)
Standard_EXPORT void | SetDocument (const Handle(CDM_Document)&aDocument)
Standard_EXPORT Standard_Integer | DocumentVersion (const Handle(CDM_Application)&anApplication)

## Static Private Member Functions

static Standard_EXPORT const CDM_MetaDataLookUpTable & | LookUpTable ()

## Private Attributes

Standard_Boolean | myIsRetrieved
CDM_DocumentPointer | myDocument
TCollection_ExtendedString | myFolder
TCollection_ExtendedString | myName
TCollection_ExtendedString | myVersion
Standard_Boolean | myHasVersion
TCollection_ExtendedString | myFileName
TCollection_ExtendedString | myPath
Standard_Integer | myDocumentVersion
Standard_Boolean | myIsReadOnly

## Friends

Standard_EXPORT void | CDM_Document::SetMetaData (const Handle(CDM_MetaData)&aMetaData)
| associates database information to a document which has been stored. The name of the document is now the name which has beenused to store the data.
Standard_EXPORT void | CDM_Application::SetDocumentVersion (const Handle(CDM_Document)&aDocument, const Handle(CDM_MetaData)&aMetaData) const

## Constructor & Destructor Documentation

Standard_EXPORT CDM_MetaData::CDM_MetaData | ( | const TCollection_ExtendedString & | aFolder,
|  | const TCollection_ExtendedString & | aName,
|  | const TCollection_ExtendedString & | aPath,
|  | const TCollection_ExtendedString & | aFileName,
|  | const Standard_Boolean | ReadOnly
| ) | `[private]`

Standard_EXPORT CDM_MetaData::CDM_MetaData | ( | const TCollection_ExtendedString & | aFolder,
|  | const TCollection_ExtendedString & | aName,
|  | const TCollection_ExtendedString & | aPath,
|  | const TCollection_ExtendedString & | aVersion,
|  | const TCollection_ExtendedString & | aFileName,
|  | const Standard_Boolean | ReadOnly
| ) | `[private]`

## Member Function Documentation

Standard_EXPORT Handle_CDM_Document CDM_MetaData::Document | ( |  | ) | const

Standard_EXPORT Standard_Integer CDM_MetaData::DocumentVersion | ( | const Handle(CDM_Application)& | anApplication | ) | `[private]`

Standard_EXPORT TCollection_ExtendedString CDM_MetaData::FileName | ( |  | ) | const

Standard_EXPORT TCollection_ExtendedString CDM_MetaData::Folder | ( |  | ) | const

Standard_EXPORT const CDM_MetaData::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean CDM_MetaData::HasVersion | ( |  | ) | const

Standard_EXPORT Standard_Boolean CDM_MetaData::IsReadOnly | ( |  | ) | const

Standard_EXPORT Standard_Boolean CDM_MetaData::IsRetrieved | ( |  | ) | const

static Standard_EXPORT Handle_CDM_MetaData CDM_MetaData::LookUp | ( | const TCollection_ExtendedString & | aFolder,
|  | const TCollection_ExtendedString & | aName,
|  | const TCollection_ExtendedString & | aPath,
|  | const TCollection_ExtendedString & | aVersion,
|  | const TCollection_ExtendedString & | aFileName,
|  | const Standard_Boolean | ReadOnly
| ) | `[static]`

static Standard_EXPORT Handle_CDM_MetaData CDM_MetaData::LookUp | ( | const TCollection_ExtendedString & | aFolder,
|  | const TCollection_ExtendedString & | aName,
|  | const TCollection_ExtendedString & | aPath,
|  | const TCollection_ExtendedString & | aFileName,
|  | const Standard_Boolean | ReadOnly
| ) | `[static]`

static Standard_EXPORT const CDM_MetaDataLookUpTable& CDM_MetaData::LookUpTable | ( |  | ) | `[static, private]`

Standard_EXPORT TCollection_ExtendedString CDM_MetaData::Name | ( |  | ) | const

Standard_OStream& CDM_MetaData::operator<< | ( | Standard_OStream & | anOStream | ) |

Standard_EXPORT TCollection_ExtendedString CDM_MetaData::Path | ( |  | ) | const

Standard_EXPORT Standard_OStream& CDM_MetaData::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void CDM_MetaData::SetDocument | ( | const Handle(CDM_Document)& | aDocument | ) | `[private]`

Standard_EXPORT void CDM_MetaData::SetIsReadOnly | ( |  | ) |

Standard_EXPORT void CDM_MetaData::UnsetDocument | ( |  | ) |

Standard_EXPORT void CDM_MetaData::UnsetIsReadOnly | ( |  | ) |

Standard_EXPORT TCollection_ExtendedString CDM_MetaData::Version | ( |  | ) | const

## Friends And Related Function Documentation

Standard_EXPORT void CDM_Application::SetDocumentVersion | ( | const Handle(CDM_Document)& | aDocument,
|  | const Handle(CDM_MetaData)& | aMetaData
| ) | const`[friend]`

Standard_EXPORT void CDM_Document::SetMetaData | ( | const Handle(CDM_MetaData)& | aMetaData | ) | `[friend]`

## Field Documentation

CDM_DocumentPointer CDM_MetaData::myDocument `[private]`

Standard_Integer CDM_MetaData::myDocumentVersion `[private]`

TCollection_ExtendedString CDM_MetaData::myFileName `[private]`

TCollection_ExtendedString CDM_MetaData::myFolder `[private]`

Standard_Boolean CDM_MetaData::myHasVersion `[private]`

Standard_Boolean CDM_MetaData::myIsReadOnly `[private]`

Standard_Boolean CDM_MetaData::myIsRetrieved `[private]`

TCollection_ExtendedString CDM_MetaData::myName `[private]`

TCollection_ExtendedString CDM_MetaData::myPath `[private]`

TCollection_ExtendedString CDM_MetaData::myVersion `[private]`

The documentation for this class was generated from the following file:

- CDM_MetaData.hxx